LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::awt::KeyGroup Constant Group Referencepublished

These values are used to specify functional groups of keys. More...

## Variables
const short | NUM = 256
| specifies a numeric key. More...
const short | ALPHA = 512
| specifies an alphabetic key. More...
const short | FKEYS = 768
| specifies a function key. More...
const short | CURSOR = 1024
| specifies a cursor key. More...
const short | MISC = 1280
| specifies other keys. More...
const short | TYPE = 3840
| specifies the group mask. More...

## Detailed Description

These values are used to specify functional groups of keys.

Deprecated:

## Variable Documentation

## ◆ ALPHA

const short ALPHA = 512

specifies an alphabetic key.

## ◆ CURSOR

const short CURSOR = 1024

specifies a cursor key.

## ◆ FKEYS

const short FKEYS = 768

specifies a function key.

## ◆ MISC

const short MISC = 1280

specifies other keys.

## ◆ NUM

const short NUM = 256

specifies a numeric key.

## ◆ TYPE

const short TYPE = 3840

specifies the group mask.